I=(S=PostProcRenderer.BlurDrawExposePoint = function(){
}).prototype;

I.Draw = function(delta, tex, dst)
{
    {
        gl.useProgram(this.BlurDraw_quad_prog);
        gl.colorMask(true, true, true, true);
        gl.depthMask(true);
        gl.blendFuncSeparate(Uno.Graphics.OpenGL.Interop.BlendToGLenum(1), Uno.Graphics.OpenGL.Interop.BlendToGLenum(1), Uno.Graphics.OpenGL.Interop.BlendToGLenum(1), Uno.Graphics.OpenGL.Interop.BlendToGLenum(1));
        gl.enable(3042);
        gl.disable(2884);
        gl.disable(2929);
        gl.frontFace(Uno.Graphics.OpenGL.Interop.PolygonWindingToGLenum(1));
        gl.uniform2fv(this.BlurDraw_quad_BinOpCall_tDEGbPClua, uglFloat2(Uno.Float2.operator_Mul(delta, 5.7)));
        gl.uniform2fv(this.BlurDraw_quad_BinOpCall_MFgXiUkNKc, uglFloat2(Uno.Float2.operator_Mul(delta, 5.0)));
        gl.uniform2fv(this.BlurDraw_quad_BinOpCall_pGmtdalANC, uglFloat2(Uno.Float2.operator_Mul(delta, 2.5)));
        gl.uniform2fv(this.BlurDraw_quad_Delta_5_0_0_FPArTvgrsl, uglFloat2(delta));
        gl.uniform2fv(this.BlurDraw_quad_BinOpCall_vJNpxVOsCB, uglFloat2(Uno.Float2.operator_Mul(delta, 7.5)));
        gl.uniform1f(this.BlurDraw_quad_Glow_2_3_0_ZxmmoOByoO, this.parent.Glow);
        gl.activeTexture(33984);
        gl.bindTexture(3553, tex.GLHandle());
        gl.uniform1i(this.BlurDraw_quad_tex_4_1_0_xVQSyRSHtp, 0);
        gl.enableVertexAttribArray(this.BlurDraw_quad_VertexPosition_JxGmLYNoHN);
        gl.bindBuffer(34962, this.BlurDraw_quad_VertexPosition_JxGmLYNoHN_vbo.GLHandle());
        gl.vertexAttribPointer(this.BlurDraw_quad_VertexPosition_JxGmLYNoHN, 2, 5126, false, 0, 0);

        if (dst != null)
        {
            dst.GLBind();
        }

        gl.bindBuffer(34963, this.BlurDraw_quad_ibo.GLHandle());
        gl.drawElements(Uno.Graphics.OpenGL.Interop.PrimitiveTypeToGLenum(0), this.BlurDraw_quad_Length_OIYYlNWxnh, 5123, 0);

        if (dst != null)
        {
            dst.GLUnbind();
        }

        gl.disableVertexAttribArray(this.BlurDraw_quad_VertexPosition_JxGmLYNoHN);
        Uno.Application.IncrementDrawCallCounter(this.BlurDraw_quad_Length_OIYYlNWxnh);
    }
};

S.$0 = function(parent, $this) {
    if (!$this) $this = new PostProcRenderer.BlurDrawExposePoint;
    {
        $this.parent = parent;
    }

    {
        $this.BlurDraw_quad_ibo = Uno.Graphics.IndexBuffer.$0($this.parent.indices.length * 2, false);
        $this.BlurDraw_quad_ibo.SetData(new Uint16Array($this.parent.indices));
        $this.BlurDraw_quad_VertexPosition_JxGmLYNoHN_vbo = Uno.Graphics.VertexBuffer.$0($this.parent.vertices.length * 8, false);
        $this.BlurDraw_quad_VertexPosition_JxGmLYNoHN_vbo.SetData(uglFloat2Array($this.parent.vertices, ($this.parent.vertices.length * 8)/8));
        $this.BlurDraw_quad_Length_OIYYlNWxnh = $this.parent.indices.length;
    }

    $this.BlurDraw_quad_vs = uglCompileShader(35633, "PostProcRenderer_BlurDrawExposePoint_BlurDraw_quad_vs", "uniform vec2 BinOpCall_tDEGbPClua;\nuniform vec2 BinOpCall_MFgXiUkNKc;\nuniform vec2 BinOpCall_pGmtdalANC;\nuniform vec2 Delta_5_0_0_FPArTvgrsl;\nuniform vec2 BinOpCall_vJNpxVOsCB;\n\nvarying vec4 TexCoordBinOpCall_mVCMfZwcOy;\nvarying vec4 BinOpCallBinOpCall_mOhaJNwHxg;\nvarying vec4 BinOpCallBinOpCall_JJaiPrJOCG;\nvarying vec4 BinOpCallBinOpCall_TUiBTbDbQD;\nvarying vec2 BinOpCall_LrOMOZyAdJ;\n\nattribute vec2 VertexPosition_JxGmLYNoHN;\n\nvoid main(void)\n{\n\tvec4 VertexPosition_2_21_0 = vec4(VertexPosition_JxGmLYNoHN, 0.0, 1.0);\n\tvec4 ClipPosition_2_22_0 = VertexPosition_2_21_0;\n\tgl_Position = VertexPosition_2_21_0;\n\tvec2 TexCoord_2_23_0 = (VertexPosition_2_21_0.xy * 0.5) + 0.5;\n\tTexCoordBinOpCall_mVCMfZwcOy.xy = (VertexPosition_2_21_0.xy * 0.5) + 0.5;\n\tTexCoordBinOpCall_mVCMfZwcOy.zw = TexCoord_2_23_0 + BinOpCall_tDEGbPClua;\n\tBinOpCallBinOpCall_mOhaJNwHxg.xy = TexCoord_2_23_0 + BinOpCall_MFgXiUkNKc;\n\tBinOpCallBinOpCall_mOhaJNwHxg.zw = TexCoord_2_23_0 + BinOpCall_pGmtdalANC;\n\tBinOpCallBinOpCall_JJaiPrJOCG.xy = TexCoord_2_23_0 + Delta_5_0_0_FPArTvgrsl;\n\tBinOpCallBinOpCall_JJaiPrJOCG.zw = TexCoord_2_23_0 - Delta_5_0_0_FPArTvgrsl;\n\tBinOpCallBinOpCall_TUiBTbDbQD.xy = TexCoord_2_23_0 - BinOpCall_pGmtdalANC;\n\tBinOpCallBinOpCall_TUiBTbDbQD.zw = TexCoord_2_23_0 - BinOpCall_MFgXiUkNKc;\n\tBinOpCall_LrOMOZyAdJ = TexCoord_2_23_0 - BinOpCall_vJNpxVOsCB;\n}\n");
    $this.BlurDraw_quad_ps = uglCompileShader(35632, "PostProcRenderer_BlurDrawExposePoint_BlurDraw_quad_ps", "uniform float Glow_2_3_0_ZxmmoOByoO;\n\nuniform sampler2D tex_4_1_0_xVQSyRSHtp;\n\nvarying vec4 TexCoordBinOpCall_mVCMfZwcOy;\nvarying vec4 BinOpCallBinOpCall_mOhaJNwHxg;\nvarying vec4 BinOpCallBinOpCall_JJaiPrJOCG;\nvarying vec4 BinOpCallBinOpCall_TUiBTbDbQD;\nvarying vec2 BinOpCall_LrOMOZyAdJ;\n\nvoid main(void)\n{\n\tvec4 wut_5_1_0 = texture2D(tex_4_1_0_xVQSyRSHtp, TexCoordBinOpCall_mVCMfZwcOy.xy);\n\tvec4 tmp_5_2_0 = ((((((((texture2D(tex_4_1_0_xVQSyRSHtp, TexCoordBinOpCall_mVCMfZwcOy.zw) * 0.125) + (texture2D(tex_4_1_0_xVQSyRSHtp, BinOpCallBinOpCall_mOhaJNwHxg.xy) * 0.25)) + (texture2D(tex_4_1_0_xVQSyRSHtp, BinOpCallBinOpCall_mOhaJNwHxg.zw) * 0.75)) + texture2D(tex_4_1_0_xVQSyRSHtp, BinOpCallBinOpCall_JJaiPrJOCG.xy)) + wut_5_1_0) + texture2D(tex_4_1_0_xVQSyRSHtp, BinOpCallBinOpCall_JJaiPrJOCG.zw)) + (texture2D(tex_4_1_0_xVQSyRSHtp, BinOpCallBinOpCall_TUiBTbDbQD.xy) * 0.75)) + (texture2D(tex_4_1_0_xVQSyRSHtp, BinOpCallBinOpCall_TUiBTbDbQD.zw) * 0.25)) + (texture2D(tex_4_1_0_xVQSyRSHtp, BinOpCall_LrOMOZyAdJ) * 0.125);\n\tvec4 PixelColor_5_3_0 = vec4(((tmp_5_2_0 / 5.25) * Glow_2_3_0_ZxmmoOByoO).xyz, 1.0);\n\tgl_FragColor = vec4(((tmp_5_2_0 / 5.25) * Glow_2_3_0_ZxmmoOByoO).xyz, 1.0);\n}\n");
    $this.BlurDraw_quad_prog = uglLinkProgram($this.BlurDraw_quad_vs, $this.BlurDraw_quad_ps);
    $this.BlurDraw_quad_VertexPosition_JxGmLYNoHN = gl.getAttribLocation($this.BlurDraw_quad_prog, "VertexPosition_JxGmLYNoHN");
    $this.BlurDraw_quad_BinOpCall_tDEGbPClua = gl.getUniformLocation($this.BlurDraw_quad_prog, "BinOpCall_tDEGbPClua");
    $this.BlurDraw_quad_BinOpCall_MFgXiUkNKc = gl.getUniformLocation($this.BlurDraw_quad_prog, "BinOpCall_MFgXiUkNKc");
    $this.BlurDraw_quad_BinOpCall_pGmtdalANC = gl.getUniformLocation($this.BlurDraw_quad_prog, "BinOpCall_pGmtdalANC");
    $this.BlurDraw_quad_Delta_5_0_0_FPArTvgrsl = gl.getUniformLocation($this.BlurDraw_quad_prog, "Delta_5_0_0_FPArTvgrsl");
    $this.BlurDraw_quad_BinOpCall_vJNpxVOsCB = gl.getUniformLocation($this.BlurDraw_quad_prog, "BinOpCall_vJNpxVOsCB");
    $this.BlurDraw_quad_Glow_2_3_0_ZxmmoOByoO = gl.getUniformLocation($this.BlurDraw_quad_prog, "Glow_2_3_0_ZxmmoOByoO");
    $this.BlurDraw_quad_tex_4_1_0_xVQSyRSHtp = gl.getUniformLocation($this.BlurDraw_quad_prog, "tex_4_1_0_xVQSyRSHtp");
    return $this;
};
